> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Skills



## OpenAPI

````yaml /openapi.json get /v1/api-performance/skills
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/skills:
    get:
      tags:
        - API Performance
      summary: List Skills
      operationId: api_performance_skills_list
      parameters:
        - name: source_id
          in: query
          required: false
          schema:
            type: string
            title: Source Id
        - name: skill_source_id
          in: query
          required: false
          schema:
            type: string
            title: Skill Source Id
        - name: enabled
          in: query
          required: false
          schema:
            type: boolean
            title: Enabled
            default: true
        - name: stale
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Stale
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiPerformanceSkillsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicApiPerformanceSkillsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicApiPerformanceSkill'
          type: array
          title: Data
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: PublicApiPerformanceSkillsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicApiPerformanceSkill:
      properties:
        id:
          type: string
          title: Id
        skill_source_id:
          type: string
          title: Skill Source Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        slug:
          type: string
          title: Slug
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        path:
          type: string
          title: Path
        entrypoint_path:
          type: string
          title: Entrypoint Path
        content_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Content Hash
        enabled:
          type: boolean
          title: Enabled
        stale:
          type: boolean
          title: Stale
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
        skill_source:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Skill Source
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - skill_source_id
        - slug
        - name
        - path
        - entrypoint_path
        - enabled
        - stale
      title: PublicApiPerformanceSkill
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````